// ★コメント未記入
// ManagedCombo.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "shitarabian.h"
#include "ManagedCombo.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CManagedCombo

CManagedCombo::CManagedCombo():
	m_pMainFrame( NULL )
{
}

CManagedCombo::~CManagedCombo()
{
}


BEGIN_MESSAGE_MAP(CManagedCombo, CComboBox)
	//{{AFX_MSG_MAP(CManagedCombo)
	ON_CONTROL_REFLECT(CBN_SELCHANGE, OnSelchange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CManagedCombo メッセージ ハンドラ

BOOL CManagedCombo::PreTranslateMessage(MSG* pMsg) 
{
	switch( pMsg->message )
	{
	case WM_KEYDOWN:
		switch( pMsg->wParam )
		{
		case VK_RETURN:
			m_pMainFrame->PreTranslateManagedCombo( this, ReturnKeyDown );
			break;

		default:
			break;
		}
		break;

	default:
		break;
	}

	return CComboBox::PreTranslateMessage(pMsg);
}

void CManagedCombo::OnSelchange() 
{
	m_pMainFrame->PreTranslateManagedCombo( this, SelChange );
}
